Subject: Re: linux-next: build warnings after merge of the rdma tree

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 9 Jul 2018 22:11:43 -0600

On Tue, Jul 10, 2018 at 02:05:12PM +1000, Stephen Rothwell wrote:
> Hi Jason,
> 
> On Mon, 9 Jul 2018 21:41:57 -0600 Jason Gunthorpe <[email-masked]> wrote:
> > 
> > What compiler is producing these? I got nothing from 0-day build
> > service or my local gcc-7..
> 
> The x86 compiler is a v7.3.1 cross compiler hosted on PowerPC LE and
> built from sources.

Curiouser and curiouser.. Mine is

gcc version 7.3.0 (Ubuntu 7.3.0-21ubuntu1~16.04) 

> > They are false positives and I guess we need to put the
> > uninitialized_var back that was hiding them.
> 
> Rats.  :-(

Indeed.. I dislike that macro.

Jason